Package org.apache.sysds.runtime.matrix.data

## Class LibMatrixSparseToDense

- java.lang.Object
- - org.apache.sysds.runtime.matrix.data.LibMatrixSparseToDense

    public abstract class LibMatrixSparseToDense
    extends Object

### Field Summary

Fields
`static org.apache.commons.logging.Log` `LOG`
`static long` `PAR_THRESHOLD`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `sparseToDense​(MatrixBlock r, int k)` Convert the given matrix block to a Dense allocation.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOG

    public static final org.apache.commons.logging.Log LOG

#### PAR_THRESHOLD

    public static long PAR_THRESHOLD

### Method Detail

#### sparseToDense

    public static void sparseToDense​(MatrixBlock r,
                                     int k)

Convert the given matrix block to a Dense allocation.

Parameters:
  `r` - The matrix block to modify, to dense.
  `k` - allowed.